{
  "name": "web_react_professional",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc && vite build",
    "lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview"
  },
  "dependencies": {
    "@emotion/react": "^11.11.4",
    "@emotion/styled": "^11.11.5",
    "@mui/icons-material": "^5.15.17",
    "@mui/material": "^5.15.17",
    "@mui/x-data-grid": "^7.5.0",
    "@mui/x-date-pickers": "^7.5.0",
    "@reduxjs/toolkit": "^2.2.5",
    "axios": "^1.7.2",
    "bootstrap": "^5.3.3",
    "dayjs": "^1.11.11",
    "final-form": "^4.20.10",
    "formik": "^2.4.6",
    "html-react-parser": "^5.1.8",
    "prop-types": "^15.8.1",
    "react": "^18.2.0",
    "react-bootstrap": "^2.10.3",
    "react-dom": "^18.2.0",
    "react-final-form": "^6.5.9",
    "react-hook-form": "^7.51.4",
    "react-redux": "^9.1.2",
    "react-router-dom": "^6.22.3",
    "react-swipeable-list": "^1.9.3",
    "react-webcam": "^7.2.0",
    "redux": "^5.0.1",
    "sweetalert2": "^11.6.13",
    "sweetalert2-react-content": "^5.0.7",
    "uuid": "^9.0.1"
  },
  "devDependencies": {
    "@types/react": "^18.2.64",
    "@types/react-dom": "^18.2.21",
    "@types/uuid": "^9.0.8",
    "@typescript-eslint/eslint-plugin": "^7.1.1",
    "@typescript-eslint/parser": "^7.1.1",
    "@vitejs/plugin-react-swc": "^3.5.0",
    "eslint": "^8.57.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.4.5",
    "typescript": "^5.2.2",
    "vite": "^5.2.11"
  }
}
